> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit request (Auto)



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json post /api/v1/bungee/submit
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/bungee/submit:
    post:
      tags:
        - Core API
      summary: Submit request (Auto)
      operationId: BungeeController_submitBungeeRequest_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BungeeSwapReqBodyDto'
      responses:
        '201':
          description: Submit request response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        $ref: '#/components/schemas/BaseBungeeSavedRequestDto'
              example:
                success: true
                statusCode: 200
                result:
                  - hash: >-
                      0x1f4b45dbb7adba26d723ff1e19af9bcbbb047e29e34fa8e39c1c4d92abbfe3a2
                    originData:
                      input:
                        - token:
                            chainId: 42161
                            address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                            name: USD Coin
                            symbol: USDC
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                            icon: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          amount: '10000000'
                          priceInUsd: 1
                          valueInUsd: 10
                      originChainId: 42161
                      txHash: null
                      status: PENDING
                      userAddress: '0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266'
                    destinationData:
                      output:
                        - token:
                            chainId: 10
                            address: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
                            name: USD Coin
                            symbol: USDC
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                            icon: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          amount: '9855420'
                          minAmountOut: '9855420'
                          priceInUsd: 1
                          valueInUsd: 9.85542
                      txHash: null
                      destinationChainId: 10
                      receiverAddress: '0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266'
                      status: PENDING
                    routeDetails:
                      name: bungee-protocol
                      logoURI: https://media.socket.tech/bungee.svg
                    bungeeStatusCode: 0
components:
  schemas:
    BungeeSwapReqBodyDto:
      type: object
      properties:
        request:
          description: Request Object
          example:
            basicReq:
              originChainId: 42161
              destinationChainId: 10
              deadline: 2060163137
              nonce: '1744389040'
              sender: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
              receiver: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
              delegate: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
              bungeeGateway: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
              switchboardId: 1
              inputToken: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
              inputAmount: '10000000'
              outputToken: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
              minOutputAmount: '9893610'
              refuelAmount: '0'
            swapOutputToken: '0x0000000000000000000000000000000000000000'
            minSwapOutput: '0'
            metadata: '0x0000000000000000000000000000000000000000000000000000000000042069'
            affiliateFees: 0x
            minDestGas: '0'
            destinationPayload: 0x
            exclusiveTransmitter: '0x0000000000000000000000000000000000000000'
          oneOf:
            - $ref: '#/components/schemas/SingleOutputRequestDto'
              title: Cross Chain
            - $ref: '#/components/schemas/SwapRequestDto'
              title: Same Chain
        userSignature:
          type: string
          description: User signature, which will validate the request
          example: >-
            0xcde35e56adce0e0e1db5527047796b4d4fc7e31bc0482eca28602a0e3ff60a361b45dae96418296b8479bbdf6b1a15c2a137ee74a47fb0c692b9a2cb629266a41b
        requestType:
          type: string
          description: Request type, indicating same chain or cross chain swap
          enum:
            - SINGLE_OUTPUT_REQUEST
            - SWAP_REQUEST
          example: SINGLE_OUTPUT_REQUEST
        quoteId:
          type: string
          description: Quote ID
          example: 889600e36fd5121ff1d94d6c49ce306a
      required:
        - request
        - userSignature
        - requestType
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    BaseBungeeSavedRequestDto:
      type: object
      properties:
        inputTokens:
          description: Input tokens
          type: array
          items:
            $ref: '#/components/schemas/InputTokenDetailsDto'
        outputTokens:
          description: >-
            Output tokens. Either an array of OutputTokenDetailsDto (for
            cross-chain: SINGLE_OUTPUT_REQUEST) or a single
            OutputTokenDetailsDto (for swaps: SWAP_REQUEST)
          oneOf:
            - type: array
              items:
                $ref: '#/components/schemas/OutputTokenDetailsDto'
            - $ref: '#/components/schemas/OutputTokenDetailsDto'
        orderTimestamp:
          format: date-time
          type: string
          description: Timestamp at which order was placed
        status:
          type: string
          description: Current status of the order
          enum:
            - PENDING
            - ASSIGNED
            - EXTRACTED
            - FULFILLED
            - SETTLED
            - EXPIRED
            - CANCELLED
            - REFUNDED
        statusCode:
          type: number
          description: Numeric status code of the order
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
        requestHash:
          type: string
          description: Request hash
        ogSender:
          type: string
          description: Original sender address
        requestSource:
          type: string
          description: Source of the request
        userSignature:
          type: string
          description: User signature
        requestType:
          type: string
          description: Type of request
          enum:
            - SINGLE_OUTPUT_REQUEST
            - SWAP_REQUEST
        request:
          description: Request details
          oneOf:
            - $ref: '#/components/schemas/SingleOutputRequestDto'
            - $ref: '#/components/schemas/SwapRequestDto'
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
      required:
        - inputTokens
        - outputTokens
        - orderTimestamp
        - status
        - statusCode
        - requestHash
        - ogSender
        - requestSource
        - userSignature
        - requestType
        - request
        - createdAt
        - updatedAt
    SingleOutputRequestDto:
      type: object
      properties:
        basicReq:
          description: Basic request parameters
          allOf:
            - $ref: '#/components/schemas/SORBasicRequestDto'
        swapOutputToken:
          type: string
          description: Swap output token address
          example: '0x0000000000000000000000000000000000000000'
        minSwapOutput:
          type: string
          description: Minimum swap output amount
          example: '0'
        metadata:
          type: string
          description: Request metadata
          example: '0x0000000000000000000000000000000000000000000000000000000000042069'
        affiliateFees:
          type: string
          description: Affiliate fees
          example: 0x
        minDestGas:
          type: string
          description: Minimum destination gas
          example: '0'
        destinationPayload:
          type: string
          description: Destination payload
          example: 0x
        exclusiveTransmitter:
          type: string
          description: Exclusive transmitter address
          example: '0x0000000000000000000000000000000000000000'
      required:
        - basicReq
        - swapOutputToken
        - minSwapOutput
        - metadata
        - affiliateFees
        - minDestGas
        - destinationPayload
        - exclusiveTransmitter
    SwapRequestDto:
      type: object
      properties:
        basicReq:
          description: Basic request parameters
          allOf:
            - $ref: '#/components/schemas/SwapBasicRequestDto'
        metadata:
          type: string
          description: Request metadata
          example: '0x0000000000000000000000000000000000000000000000000000000000042069'
        affiliateFees:
          type: string
          description: Affiliate fees
          example: 0x
        minDestGas:
          type: string
          description: Minimum destination gas
          example: '0'
        destinationPayload:
          type: string
          description: Destination payload
          example: 0x
        exclusiveTransmitter:
          type: string
          description: Exclusive transmitter address
          example: '0x0000000000000000000000000000000000000000'
      required:
        - basicReq
        - metadata
        - affiliateFees
        - minDestGas
        - destinationPayload
        - exclusiveTransmitter
    InputTokenDetailsDto:
      type: object
      properties:
        token:
          description: token asset object
          allOf:
            - $ref: '#/components/schemas/TokenAssetDto'
        amount:
          type: string
          description: token amount in wei
        chainId:
          type: number
          description: ChainId of the token
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          default: 0
        priceInUsd:
          type: number
          description: Current price of the token in USD
          default: 0
      required:
        - token
        - amount
        - chainId
        - valueInUsd
        - priceInUsd
    OutputTokenDetailsDto:
      type: object
      properties:
        token:
          description: token asset object
          allOf:
            - $ref: '#/components/schemas/TokenAssetDto'
        minAmountOut:
          type: string
          description: token min output amount in wei
        promisedAmount:
          type: string
          description: token promised amount in wei
        fulfilledAmount:
          type: string
          description: token actual fulfilled amount in wei
        chainId:
          type: number
          description: ChainId of the token
        minAmountOutInUsd:
          type: number
          description: Value of the minimum amount in USD
          default: 0
        fulfilValueInUsd:
          type: number
          description: Value of the fulfilled amount in USD
          default: 0
        priceInUsd:
          type: number
          description: Current price of the token in USD
          default: 0
      required:
        - token
        - minAmountOut
        - promisedAmount
        - fulfilledAmount
        - chainId
        - minAmountOutInUsd
        - fulfilValueInUsd
        - priceInUsd
    SORBasicRequestDto:
      type: object
      properties:
        originChainId:
          type: number
          description: Origin chain ID
          example: 42161
        destinationChainId:
          type: number
          description: Destination chain ID
          example: 10
        deadline:
          type: string
          description: Transaction deadline timestamp
          example: 2060163137
        nonce:
          type: string
          description: Nonce value
          example: '1744389040'
        sender:
          type: string
          description: Sender address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        receiver:
          type: string
          description: Receiver address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        delegate:
          type: string
          description: Delegate address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        bungeeGateway:
          type: string
          description: Bungee gateway address
          example: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
        switchboardId:
          type: number
          description: Switchboard ID
          example: 1
        inputToken:
          type: string
          description: Input token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        inputAmount:
          type: string
          description: Input amount
          example: '10000000'
        outputToken:
          type: string
          description: Output token address
          example: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
        minOutputAmount:
          type: string
          description: Minimum output amount
          example: '9893610'
        refuelAmount:
          type: string
          description: Refuel amount
          example: '0'
      required:
        - originChainId
        - destinationChainId
        - deadline
        - nonce
        - sender
        - receiver
        - delegate
        - bungeeGateway
        - switchboardId
        - inputToken
        - inputAmount
        - outputToken
        - minOutputAmount
        - refuelAmount
    SwapBasicRequestDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID
          example: 42161
        deadline:
          type: number
          description: Transaction deadline timestamp
          example: 2060163137
        nonce:
          type: string
          description: Nonce value
          example: '1744389040'
        sender:
          type: string
          description: Sender address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        receiver:
          type: string
          description: Receiver address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        bungeeGateway:
          type: string
          description: Bungee gateway address
          example: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
        inputToken:
          type: string
          description: Input token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        inputAmount:
          type: string
          description: Input amount
          example: '10000000'
        outputToken:
          type: string
          description: Output token address
          example: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
        minOutputAmount:
          type: string
          description: Minimum output amount
          example: '9893610'
      required:
        - chainId
        - deadline
        - nonce
        - sender
        - receiver
        - bungeeGateway
        - inputToken
        - inputAmount
        - outputToken
        - minOutputAmount
    TokenAssetDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the token
          example: 59144
        address:
          type: string
          description: Token address
          example: '0xe5d7c2a44ffddf6b295a15c148167daaaf5cf34f'
        name:
          type: string
          description: Token name
          example: Bridged Wrapped Ether Linea
        symbol:
          type: string
          description: Token symbol
          example: WETH
        decimals:
          type: number
          description: Token decimals
          example: 18
        logoURI:
          type: string
          description: Logo URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        icon:
          type: string
          description: Icon URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        chainAgnosticId:
          type: string
          description: Chain agnostic ID
          nullable: true
        cgId:
          type: string
          description: CoinGecko ID
          nullable: true
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals

````